---
layout: handbook-page-toc
title: Engineering Key Meeting Agenda
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .toc-list-icons .hidden-md .hidden-lg}

## Summary

This page acts as the raw materials for the Engineering [Key](/handbook/finance/key-meetings/) meeting, where we review *Key* Performance Indicators (KPIs) and Objectives & *Key* Results (OKRs) with stakeholders.

The Google document for note taking is confidential within the company because customers may be referenced. Please see the calendar invite for the URL.

This meeting covers keys for the entire Engineering Division as well as the Development, Quality, Security, and UX departments. the Infrastructure and Support departments within Engineering have their own key meetings.

## Objectives and Key Results (OKRs)

* [FY21-Q2 Engineering Division OKR Issue (active)](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/7253)
    * [FY21-Q2 Development Department OKR Issue (active)](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/7148)
    * [FY21-Q2 Security Department OKR Issue (active)](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/7325)
    * [FY21-Q2 Quality Department OKR Issue (active)](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/7180)
    * [FY21-Q2 UX Department OKR Issue (active)](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/7205)
* [FY21-Q3 Engineering OKR Issue (draft)](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/8303)
    * [FY21-Q3 Engineering Division "How to acheive" video](https://youtu.be/-H6H4cEt-Os)
    * [FY21-Q3 Development Department OKR Issue (draft)](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/8329)
    * [FY21-Q3 Security Department OKR Issue (draft)](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/8298)
    * [FY21-Q3 Quality Department OKR Issue (draft)](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/8151)
    * [FY21-Q3 UX Department OKR Issue (draft)](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/8363)

## Key Performance Indicators (KPIs)

<%

orgs = ['Engineering Function', 'Security Department', 'Quality Department', 'UX Department']
org_cache = ''

%>

The following performance indicators are limited to just those defined as keys. They are sorted by ascending health (so problems are at the top). And they are grouped by the org to which they roll up.

<% data.performance_indicators.select  { |pi| orgs.include?(pi.org) }
                              .select  { |pi| pi.is_key? }
                              .sort_by { |pi| pi.health.level }
                              .sort_by { |pi| orgs.index pi.org }
                              .each do |pi| %>
<% if org_cache != pi.org %>

### <%= pi.org %> KPIs
<% org_cache = pi.org end %>

#### <%= pi.name %>
<p><%= pi.definition %></p>
<p><b>Target:</b> <%= pi.target %></p>
<% if pi.sisense_data %>
  <b>Chart</b>
    <% if pi.sisense_data.shared_dashboard%>
      (<a href="https://app.periscopedata.com/shared/<%= pi.sisense_data.shared_dashboard %>">Sisense↗</a>)
    <% elsif pi.sisense_data.chart && pi.sisense_data.dashboard%>
      (<a href="https://app.periscopedata.com/app/gitlab/<%= pi.sisense_data.dashboard %>/?widget=<%= pi.sisense_data.chart %>">Sisense↗</a>)
    <% end %>
  <% if ENV['PERISCOPE_EMBED_API_KEY'] %>
    <embed width="100%" height="100%" style="min-height:300px;" src="<%= signed_periscope_url(pi.sisense_data) %>">
  <% else %>
    <p>You must set a <code>PERISCOPE_EMBED_API_KEY</code> environment variable to render this chart.</p>
  <% end %>
<% end %>
<p><b>Status: <%= color_code_health(pi.health.level) %></b></p>
<% pi.health.reasons.each do |reason| %>
<%="  * #{reason}"%>

<% end %>
<% end %>
